DS_HISTORY_APPEND_STRING(3)

FUNCTION
ds_history_append_string - Add a history string to a Karma data structure.

SYNOPSIS
#include <karma_ds.h>

flag ds_history_append_string

(multi_array *multi_desc, CONST char *string, flag new_alloc)

DESCRIPTION
Add a history string to a Karma data structure.

multi_desc
    The multi_array descriptor.

string
    The history string to add.

new_alloc
    If TRUE, the routine will allocate a new copy of the history string, else it will copy the pointer (in which case the string must never be externally deallocated or changed).

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/